﻿@model GoCoCMS.Web.Models.Post.PostModel
@{
    ViewBag.Title = "title";
    Layout = "_Layout";
}

<!-- Title -->
<h1 class="mt-4">@Model.Name</h1>
<!-- Author -->
<p class="lead">
    by
    <a href="#">@Model.User?.UserName</a>
</p>
<hr>
<!-- Date/Time -->
<p>Posted on @Model.CreatedDateString</p>
<hr>
<!-- Preview Image -->
@*<img class="img-fluid rounded" src="http://placehold.it/900x300" alt="">*@
@if (!string.IsNullOrWhiteSpace(Model.ThumbnailImage))
{
    <img  asp-append-version="true" class="img-fluid rounded" src="/images/@Model.ThumbnailImage" alt="GoCoCMS">
    <hr>
}
<!-- Short Description -->
<p class="lead">@Model.ShortDescription</p>

<!-- Post Content -->
<p>@Html.Raw(Model.Content)</p>

<hr>

@if (Model.AllowComment)
{
    <!-- Comments Form -->
    @await Component.InvokeAsync("CommentForm", Model.Id)
}